Skip to main content
PUT
/
campaigns
/
v2
/
{campaignId}
/
automations
Set automations
curl --request PUT \
  --url https://inboxapp.com/api/v1/campaigns/v2/{campaignId}/automations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "automations": [
    {
      "trigger": "<unknown>",
      "action": "<unknown>",
      "actionData": {
        "statusId": "<string>"
      },
      "enabled": true
    }
  ]
}
'
{
  "data": [
    {
      "id": "<string>",
      "trigger": "<unknown>",
      "actionData": {
        "statusId": "<string>"
      },
      "enabled": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaignId
string
required

The ID of the campaign.

Pattern: ^[0-9a-z]+$

Body

application/json
automations
(Set status automation · object | Set tags automation · object)[]
required

The complete list of automations for the campaign. Any existing automations not in this list will be removed.

Response

200 - application/json

OK

data
object[]
required